CREATE TABLE bm_pricing_rule_input (
    ID                      NUMBER(18, 0) ,
    PRICING_RULE_META_ID    NUMBER(18, 0)     NOT NULL,
    NAME                    VARCHAR2(512)     NOT NULL,
    REF_ID                  NUMBER(18, 0)     NOT NULL,
    TYPE_                   NUMBER(5, 0)      NOT NULL,
    AREA                    NUMBER(5, 0)      NOT NULL,
    DATE_ADDED              DATE              NOT NULL,
    DATE_MODIFIED           DATE              NOT NULL,
    OPERATOR                NUMBER(5, 0)  ,
    ATTR_VALUE              VARCHAR2(1024),
    RULE_INPUT_INDEX        NUMBER(5, 0)  ,
    REF_TYPE                NUMBER(5, 0)      NOT NULL,
    GUID                    VARCHAR2(1020)    NOT NULL,
    USER_ADDED_ID           NUMBER(18, 0)     NOT NULL,
    USER_MODIFIED_ID        NUMBER(18, 0)     NOT NULL,
    ID                      NUMBER(18, 0) ,
    PRICING_RULE_META_ID    NUMBER(18, 0)     NOT NULL,
    NAME                    VARCHAR2(512)     NOT NULL,
    REF_ID                  NUMBER(18, 0)     NOT NULL,
    TYPE_                   NUMBER(5, 0)      NOT NULL,
    AREA                    NUMBER(5, 0)      NOT NULL,
    DATE_ADDED              DATE              NOT NULL,
    DATE_MODIFIED           DATE              NOT NULL,
    OPERATOR                NUMBER(5, 0)  ,
    ATTR_VALUE              VARCHAR2(1024),
    RULE_INPUT_INDEX        NUMBER(5, 0)  ,
    REF_TYPE                NUMBER(5, 0)      NOT NULL,
    GUID                    VARCHAR2(1020)    NOT NULL,
    USER_ADDED_ID           NUMBER(18, 0)     NOT NULL,
    USER_MODIFIED_ID        NUMBER(18, 0)     NOT NULL,
    CONSTRAINT pk_bm_pricing_rule_input PRIMARY KEY (ID, ID)
);
